"use strict";

var should = require('should');
var partner = require('./partner-simplepay');

describe('#partner', function() {
    describe('_calculateSign', function() {
        it('using api example parameter should return correct sign', function() {
            let datetime = '2017-02-10 18:02:21';
            let trx_ref_id = '56789';
            let cust_num = '08123456789';
            let username = 'toko-A';
            let password = '1234';

            partner.calculateSign(datetime, trx_ref_id, cust_num, username, password).should.equal('e7851fc59cee66a7b99b5624f7f1573f149ee3f6');
        })
    })
})
